Last modified: 2013-10-29 07:39:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 44029 - Add linktrail for Malayalam
Add linktrail for Malayalam
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.21.x
All All
: Low minor (vote)
: ---
Assigned To: Santhosh Thottingal
:
Depends on:
Blocks: 56295
  Show dependency treegraph
 
Reported: 2013-01-16 12:50 UTC by vssun
Modified: 2013-10-29 07:39 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Linking examples screenshot (5.45 KB, image/png)
2013-01-16 12:50 UTC, vssun
Details

Description vssun 2013-01-16 12:50:22 UTC
Created attachment 11637 [details]
Linking examples screenshot

[[India]]ns

The above wikitext create a link to the page India and the entire text (Indians) will be included in the link.


See the same example in Malayalam language

[[ഇന്ത്യ]]ക്കാർ

In this, only the text inside the square brackets will be linked, so we are forced to write [[ഇന്ത്യ|ഇന്ത്യക്കാർ]] to get the entire text in the link. The case is same with all the non-Latin languages.

It is requested to extend the functionality to non-Latin languages.
Comment 1 Andre Klapper 2013-01-16 15:33:52 UTC
Thanks for reporting! Confirming on 1.21wmf7.
Comment 2 Umherirrender 2013-07-12 19:55:08 UTC
Needs a linktrail setting for that language (See $linktrail in MessagesEn.php)
Comment 3 Gerrit Notification Bot 2013-07-22 04:20:04 UTC
Change 75063 had a related patch set uploaded by Santhosh:
Add linktrail for Malayalam

https://gerrit.wikimedia.org/r/75063
Comment 4 Gerrit Notification Bot 2013-07-22 08:45:30 UTC
Change 75063 merged by jenkins-bot:
Add linktrail for Malayalam

https://gerrit.wikimedia.org/r/75063
Comment 5 vssun 2013-08-01 16:46:38 UTC
Thanks for fixing.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links